## net.sf.saxon.sort
Interface IntIterator

All Known Implementing Classes:
  EmptyIntIterator, NamespaceCodeIterator, TerminatedIntIterator

    public interface IntIterator

An iterator over a sequence of unboxed int values

Method Summary
`boolean` `hasNext()` Test whether there are any more integers in the sequence
`int` `next()` Return the next integer in the sequence.

Method Detail

### hasNext

    boolean hasNext()

  Test whether there are any more integers in the sequence

  Returns:
    true if there are more integers to come

### next

    int next()

  Return the next integer in the sequence. The result is undefined unless hasNext() has been called and has returned true.

  Returns:
    the next integer in the sequence

Copyright (c) Saxonica Limited. All rights reserved.